import { TransformerPluginBase } from "@aws-amplify/graphql-transformer-core";
import { TransformerContextProvider, TransformerSchemaVisitStepContextProvider } from "@aws-amplify/graphql-transformer-interfaces";
import { DirectiveNode, ObjectTypeDefinitionNode, InterfaceTypeDefinitionNode, FieldDefinitionNode } from "graphql";
export declare class TtlTransformer extends TransformerPluginBase {
    private readonly ttlFields;
    constructor();
    field: (parent: ObjectTypeDefinitionNode | InterfaceTypeDefinitionNode, definition: FieldDefinitionNode, directive: DirectiveNode, acc: TransformerSchemaVisitStepContextProvider) => void;
    generateResolvers: (ctx: TransformerContextProvider) => void;
    private getTable;
}
